Bug 689951 - A newly created Message Center Window doesn't accept row selection/double click
A newly created Message Center Window doesn't accept row selection/double click
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta1
Unspecified Unspecified
high Severity low (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-03-22 16:44 EDT by John Mazzitelli
Modified: 2011-05-23 21:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:08:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2011-03-22 16:44:41 EDT
1) Start the GUI fresh (open a new browser tab)
2) Get a message to be posted (change a config, import something, whatever)
3) Click Message Center button to show the message center window
4) Try to double click a message to see its details, notice you can't select a row

Workaround - click the Refresh button. Now the list grid accepts selections/double clicks.

For some reason, when the Message Center View is first created, the list grid does not allow you to select a row or double click a row. But after you refresh the table, it starts working.
Comment 1 John Mazzitelli 2011-03-23 21:37:29 EDT
commit 7f51c8b - needed to add a markForRefresh when the window was initially created and shown. this is now fixed and you can select the rows in the message center table when the window is first created/popped up
Comment 2 Sunil Kondkar 2011-04-29 06:22:16 EDT
Verified on build#39 (Version: 4.0.0-SNAPSHOT Build Number: 15a53e5)

User is able to select and double click the row in the message center window when it is first created. After double click, it displays the details of the message.

Marking as verified
Comment 3 Corey Welton 2011-05-23 21:08:37 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.